Skip to main content
GET
/
v1
/
admin
/
users
List Accounts (staff)
curl --request GET \
  --url https://api.oviond.com/v1/admin/users \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "account_id": "<string>",
      "email": "<string>",
      "role": "<string>",
      "billing": {
        "status": "<string>",
        "subscription_status": "<string>",
        "plan_name": "<string>",
        "end_period": "<string>",
        "trial_end_date": "<string>",
        "lifetime": true
      },
      "fullname": "<string>",
      "avatar_url": "<string>",
      "created_at": "<string>"
    }
  ],
  "meta": {
    "page": 123,
    "limit": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

email
string

Case-insensitive email contains-match

Example:

"jane@"

page
integer | null
default:0
Required range: x >= 0
Example:

0

limit
integer
default:20
Required range: 1 <= x <= 100
Example:

20

Response

Paginated users

success
enum<boolean>
required
Available options:
true
data
object[]
required
meta
object
required